<!DOCTYPE html>
<html lang="en">

<head>
    <title>Manage Quizes</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="theme-color" content="#999999" />
    <link rel="stylesheet" href="/images/favicon.ico" type="image/x-icon">
    <link rel="stylesheet" href="/scripts/libraries/devicon-master/devicon.min.css">
    <!--Google Icon Font-->
    <link href="http://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <!--materialize.css-->
    <link rel="stylesheet" href="/scripts/libraries/materialize/css/materialize.min.css" media="screen,projection">
    <link rel="stylesheet" href="/stylesheets/materialize.additional.css">
    <link rel="stylesheet" href="/stylesheets/admin.css">
    <link rel="stylesheet" href="/scripts/libraries/tablesort/tablesort.css">
</head>

<body>
    <script>
        var quizes = '{{{toJSON quizes}}}';
    </script>
    <header>
        <div id="sidenav-wrapper"></div>
    </header>
    <main>
        <div class="container-fluid">
            <div class="row">
                <div id="admin" class="col s12">
                    <div class="card table-card">
                        <div class="card-content grey-text text-darken-3">
                            <div class="row table-card-header">
                                <div class="col s12 m6 top-action">
                                    <a href="#add-quiz-modal" id="add-quiz">ADAUGA TEST</a>
                                    <a href="#quiz-confirm" id="remove-quiz" class="modal-trigger">STERGE</a>
                                </div>
                                <div class="col s12 m6 grey-text text-darken-1">
                                    <nav class="white lighten-1 z-depth-0 search-nav">
                                        <div class="nav-wrapper">
                                            <div class="input-field">
                                                <input id="quiz-search" type="search" placeholder="Cauta testul" autocomplete="off" class="grey-text text-darken-1">
                                                <label class="label-icon" for="quiz-search">
                                                    <i class="material-icons left grey-text text-darken-3">search</i>
                                                </label>
                                                <i class="material-icons search-clear">close</i>
                                            </div>
                                        </div>
                                    </nav>
                                </div>
                            </div>
                            <table class="bordered responsive-table tablesorter" id="quizes-table">
                                <thead>
                                    <tr>
                                        <th data-sort-method="none" class="no-sort">
                                            <input type="checkbox" id="select-all" class="checkbox-indigo" />
                                            <label for="select-all"></label>
                                        </th>
                                        <th data-field="name">Nume</th>
                                        <th data-field="topic">Tema</th>
                                        <th data-field="date-created">Data Creării</th>
                                        <th data-field="time-limit">Timp Limită</th>
                                        <th data-field="random">Aleator</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    {{#each quizes as |quiz|}}
                                    <tr data-id="{{quiz.id}}">
                                        <td>
                                            <input type="checkbox" id="chk-row-{{@index}}" class="checkbox-bluegray" />
                                            <label for="chk-row-{{@index}}"></label>
                                        </td>
                                        <td><a href="/admin/quizes/{{quiz.id}}">{{quiz.name}}</a></td>
                                        <td>{{quiz.topicName}}</td>
                                        <td>{{quiz.createdOn}}</td>
                                        <td>{{quiz.timeLimit}}</td>
                                        <td>{{#if quiz.randomShuffle}}Da{{else}}Nu{{/if}}</td>
                                    </tr>
                                    {{/each}}
                                </tbody>
                            </table>
                            <div class="row">
                                <div class="col s12">
                                    <div class="left rows-total">
                                        <span class="blue-grey-text">
                                            {{quizes.length}} teste
                                        </span>
                                    </div>
                                    <div id="pager"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="fixed-action-btn">
            <a class="btn-floating btn-large crimson tooltipped" data-position="left" data-delay="50" data-tooltip="Adauga test" href="#add-quiz-modal">
                <i class="large material-icons">add</i>
            </a>
        </div>
        <div id="add-quiz-modal" class="modal">
            <form id="add-quiz-form">
                <div class="modal-content">
                    <h4>Adaugati un test nou</h4>
                    <div class="row">
                        <div class="input-field col s12">
                            <input type="text" id="quiz-name" name="quizName" minlength="5" class="validate" required autofocus autocomplete="off">
                            <label for="quiz-name" data-error="denumirea este prea scurta">Denumirea</label>
                        </div>
                    </div>
                    <div class="row">
                        <div class="input-field col s12">
                            <input type="password" id="quiz-password" name="quizPass" minlength="3" class="validate" pattern="^[\x00-\x7F]*$" required>
                            <label for="quiz-password" data-error="parola este invalida">Parola</label>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <input type="submit" class="btn btn-flat waves-effect waves-light crimson-text modal-action" value="Continuati">
                    <a href="#" class="btn-flat modal-action modal-close">Inchideti</a>
                </div>
            </form>
        </div>
        <div id="quiz-confirm" class="modal modal-small modal-vertical-centered">
            <div class="modal-content">
                <h4>Confirmare</h4>
                <p class="quiz-confirm-message">Are you sure to proceed?</p>
            </div>
            <div class="modal-footer">
                <a href="#" class="btn btn-flat waves-effect waves-red" id="quiz-confirm-no">Anuleaza</a>
                <a href="#" class="btn btn-flat waves-effect waves-green" id="quiz-confirm-yes">Da</a>
            </div>
        </div>
    </main>

    <!--libraries and frameworks-->
    <script type="text/javascript" src="/scripts/libraries/jquery-3.1.1.min.js"></script>
    <script type="text/javascript" src="/scripts/libraries/handlebars-v4.0.5.js"></script>
    <script type="text/javascript" src="/scripts/libraries/materialize/js/materialize.min.js"></script>
    <script type="text/javascript" src="/scripts/libraries/lodash.min.js"></script>
    <script type="text/javascript" src="/scripts/libraries/tablesort/tablesort.min.js"></script>
    <script type="text/javascript" src="/scripts/libraries/materialize-pagination.min.js"></script>

    <!--handlebars helpers-->
    <script type="text/javascript" src="/scripts/source/helpers.js"></script>

    <!--handlebars precompiled templates-->
    <script src="/scripts/hbs-templates/precompiled/sidenav.tmpl.js"></script>

    <!--external scripts-->
    <script type="text/javascript" src="/scripts/source/admin/quizes.js"></script>
</body>

</html>